<?
if ($login==$admin){
}else{
if (substr($to,0,20)=='item.armor.body.prem') msg("Вы не можете передать етот предмет!");
if (substr($to,0,16)=='item.weapon.prem') msg("Вы не можете передать етот предмет!");
}
	if ($tos==$admin) msg("Нельзя передавать етому игроку.");
	if (!$to) {		// список
					if (($tos!=1 && substr($tos,0,5)!='user.') || !isset($game["loc"][$player["loc"]][$tos])) msg("<p>Передавать предметы можно только игрокам!");
			        if ($game["loc"][$game["players"][$tos]][$tos]["ghost"]) msg ("<p>Нельзя передавать предметы призракам");
					if ($player["ban1"]) msg("<p>Вы забанены и поэтому не можете ничего передать, поднять или бросить, подождите до окончания времени бана");
					if ($player["ghost"]) msg("<p>Вы призрак и поэтому не можете ничего передать, поднять или бросить, найдите лекаря или камень воскрешения");
						if (count($player["items"])==0) msg("<p>У вас нет ни одного предмета");
						$stmp="<p>Предметы:";
						$ind=0; $count=0; if(!$start) $start=0;
						foreach(array_keys($player["items"]) as $i) {
							if ($ind>=$start && $ind<$start+$count_show) {	//FIX: может +1?
							$k=split("\|",$player["items"][$i]);
							if ($k[1]>1) $k=$k[0]." (".$k[1].")"; else $k=$k[0];
							if ($player["equip"] && array_search($i,$player["equip"])) $k.=" [одето]";
							$stmp.="\n<br/><a href=\"$PHP_SELF?sid=$sid&how=tos&tos=$tos&to=$i\">".$k."</a>";
							}
							$ind++;
							}
							if ($start) {$stmp.= "\n<br/><a href=\"$PHP_SELF?sid=$sid&tos=$tos\">^ </a>";}
						if ($start+$count_show<count($player["items"])) {if (!$start) $stmp.="\n<br/>"; $stmp.= "<a href=\"$PHP_SELF?sid=$sid&tos=$tos&start=".($start+$count_show)."\">+ (".(count($player["items"])-$start-$count_show).")</a>";}
	//меню
						msg($stmp,"Передать");
												}else {	// передаем $to
							if (!isset($player["items"][$to])) {msg("<p>У вас нет этого предмета");} 
							if (strpos($to,".imen.")) msg("<p>Вы не можете передать задание на квест или именной предмет!");
							else {
							$item=split("\|",$player["items"][$to]);
		// проверим кол-во
	$num=intval($num);
	if ($item[1]>1 && !$num) {		// запросим кол-во
	if($player['style']=='0'){
	$stmp="<p>Укажите количество:\n<br/><input format=\"*N\" maxlength=\"9\" name=\"num\" value=\"".$item[1]."\"/>\n<br/><a href=\"$PHP_SELF?sid=$sid&tos=$tos&to=$(to)&num=$(num)\">Передать</a>";
	}else{
		$stmp="<form action=\"$PHP_SELF?sid=$sid&tos=$tos&to=$to\" method=\"post\">Укажите количество:\n<br/><input name=\"num\" value=\"".$item[1]."\" format=\"6n\" class=\"inup\"/>\n<br/><input type=\"submit\" value=\"Передать\" class=\"btn\"></form>";
		}
		msg($stmp);
								}
							if (!$num || $num<1) $num=1;
							if ($num>$item[1]) $num=$item[1];
								// удаляем из игрока
	$item[1]-=$num;
	if ($item[1]<=0) {unset($player["items"][$to]);calcparam($login);} else $player["items"][$to]=implode("|",$item);
								// добавляем игроку в GGG
                 
                  if (isset($game["loc"][$game["players"][$tos]][$tos]["items"][$to])) 
				  $itemp=split("\|",$game["loc"][$game["players"][$tos]][$tos]["items"][$to]); 
				  else {$itemp=$item; $itemp[1]=0;}
		              $itemp[1]+=$num;
		              $game["loc"][$game["players"][$tos]][$tos]["items"][$to]=implode("|",$itemp);
							
              addjournal($tos,"".$player["title"]." передал вам ".$num." ".$item[0]);
              addjournal($login, " Вы передали ".$game["loc"][$game["players"][$tos]][$tos]["title"]." ".$num." ".$item[0]);
			  }
}
?>